

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.19. define_selector &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.20. defrag" href="defrag.html" />
    <link rel="prev" title="7.3.18. database_unmap" href="database_unmap.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/define_selector.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="defrag.html" title="7.3.20. defrag"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="database_unmap.html" title="7.3.18. database_unmap"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.19. </span><code class="docutils literal notranslate"><span class="pre">define_selector</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="define-selector">
<h1><span class="section-number">7.3.19. </span><code class="docutils literal notranslate"><span class="pre">define_selector</span></code><a class="headerlink" href="#define-selector" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.19.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>define_selector - 検索コマンドを定義</p>
<p>Groonga組込コマンドの一つであるdefine_selectorについて説明します。組込コマンドは、groonga実行ファイルの引数、標準入力、またはソケット経由でgroongaサーバにリクエストを送信することによって実行します。</p>
<p>define_selectorは、検索条件をカスタマイズした新たな検索コマンドを定義します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.19.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>define_selector name table [match_columns [query [filter [scorer [sortby
                [output_columns [offset [limit [drilldown [drilldown_sortby
                [drilldown_output_columns [drilldown_offset [drilldown_limit]]]]]]]]]]]]]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.19.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>テーブルEntryの全レコード・全カラムの値を出力するselectorコマンドを定義します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>define_selector entry_selector Entry
[true]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.19.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">name</span></code></p>
<blockquote>
<div><p>定義するselectorコマンドの名前を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">table</span></code></p>
<blockquote>
<div><p>検索対象のテーブルを指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">match_columns</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのmatch_columns引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">query</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのquery引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">filter</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのfilter引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">scorer</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのscorer引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">sortby</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのsortby引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">output_columns</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのoutput_columns引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">offset</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのoffset引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">limit</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのlimit引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">drilldown</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのdrilldown引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">drilldown_sortby</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのdrilldown_sortby引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">drilldown_output_columns</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのdrilldown_output_columns引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">drilldown_offset</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのdrilldown_offset引数のデフォルト値を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">drilldown_limit</span></code></p>
<blockquote>
<div><p>追加するselectorコマンドのdrilldown_limit引数のデフォルト値を指定します。</p>
</div></blockquote>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.19.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[成功かどうかのフラグ]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">成功かどうかのフラグ</span></code></p>
<blockquote>
<div><p>エラーが生じなかった場合にはtrue、エラーが生じた場合にはfalseを返す。</p>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.19.6. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<p><a class="reference internal" href="../grn_expr.html"><span class="doc">grn_expr</span></a></p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.19. <code class="docutils literal notranslate"><span class="pre">define_selector</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.19.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.19.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.19.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.19.4. Parameters</a></li>
<li><a class="reference internal" href="#return-value">7.3.19.5. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.3.19.6. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="database_unmap.html"
                        title="previous chapter"><span class="section-number">7.3.18. </span><code class="docutils literal notranslate"><span class="pre">database_unmap</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="defrag.html"
                        title="next chapter"><span class="section-number">7.3.20. </span><code class="docutils literal notranslate"><span class="pre">defrag</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="defrag.html" title="7.3.20. defrag"
             >next</a> |</li>
        <li class="right" >
          <a href="database_unmap.html" title="7.3.18. database_unmap"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.19. </span><code class="docutils literal notranslate"><span class="pre">define_selector</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>